[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Need help...Sybase12.5



My glibc is i386, I'll try to get i686 and post results.
Thanks,
Naum.

On Sun, 2003-03-30 at 19:29, Connie Sieh wrote:
> So what glibc rpms were installed?
> You can check with
> 	rpm -q --qf "%{name}\t%{arch}\n" glibc
> 
> There seems to be a issue with the "i386" version of the glibc libraries.
> Sybase tech support has reproduced the problem internally and has
> forwarded the issue to engineering.  The issue seems to be in sprintf -->
> vsprintf --> vfprintf which is where it dies.  The i686 versions of the
> libraries work just fine.
> 
> So if you are on a i686 then you should install the i686 versions of
> glibc.
> 
> -Connie Sieh
> 
> On Fri, 28 Mar 2003, Naum Stolarskiy wrote:
> 
> > This is what I got:
> >
> > # ldd dataserver
> >         libm.so.6 => /lib/libm.so.6 (0x40030000)
> >         libdl.so.2 => /lib/libdl.so.2 (0x40051000)
> >         libnsl.so.1 => /lib/libnsl.so.1 (0x40054000)
> >         libpthread.so.0 => /lib/libpthread.so.0 (0x40068000)
> >         libc.so.6 => /lib/libc.so.6 (0x40098000)
> >         /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> > I checked /lib there no i686 directory.
> > Thanks,
> > Naum.
> >
> >
> > On Fri, 2003-03-28 at 18:20, csieh wrote:
> > > Naum,
> > >
> > > Go to $SYBASE/ASE-12_5/bin and runs
> > > "ldd dataserver" what path does it show on the libc
> > > library? It should show /lib/i686/libc.so.xxx
> > >
> > > -Connie Sieh
> > > On Fri, 28 Mar 2003, Naum Stolarskiy wrote:
> > >
> > > > Removed /lib;/usr/lib from ld.so.conf
> > > > # more /etc/ld.so.conf
> > > > /usr/lib/qt-1.45/lib
> > > > /usr/kerberos/lib
> > > > /usr/lib/wine
> > > > /usr/lib/mysql
> > > > /usr/lib/sane
> > > > /usr/sybase-12.5/lib
> > > > /usr/lib/qt-2.3.0/lib
> > > > /usr/lib/qt-3.0.5/lib
> > > > /usr/X11R6/lib
> > > > /opt/sybase-12.5/OCS/lib
> > > > /opt/sybase-12.5/ASE/lib
> > > >
> > > > Ran ldconfig -v
> > > >
> > > > # $LD_LIBRARY_PATH
> > > > bash:
> > > > /opt/office52/adabas/lib:/opt/office52/adabas/lib:/opt/office52/adabas/lib
> > > >
> > > >
> > > > ran asecfg
> > > > ... same result...same error message
> > > > Thanks,
> > > > Naum..
> > > >
> > > > On Fri, 2003-03-28 at 16:42, csieh wrote:
> > > > > Naum,
> > > > >
> > > > > So, the issue seems to be that if /lib:/usr/lib are in LD_LIBRARY_PATH
> > > > > then /lib/libc-2.2.4.so is used; and with them not /lib/i686/libc-2.2.4.so
> > > > > is used. The 686 lib is working, the other is not. Investigation is
> > > > > underway....
> > > > >
> > > > > So since you have /lib and /usr/lib in /etc/ld.so.conf I suggest taking
> > > > > those out and rerunning ldconfig.  And make sure /lib:/usr/lib are not
> > > > > part of LD_LIBRARY_PATH.
> > > > >
> > > > > Note that the issue above is described in Bugzilla 86398 and 86359.
> > > > >
> > > > > -Connie Sieh
> > > > > Fermi National Accelerator Laboratory
> > > > > On Fri, 28 Mar 2003, Naum Stolarsky wrote:
> > > > >
> > > > > > replaced glibc-2.3.2 with glibc-2.2.5-93
> > > > > > Same result...
> > > > > > Is there any problems if glibc -2.2.4-32 is used on
> > > > > > RH8.0?
> > > > > >
> > > > > > -----Original Message-----
> > > > > > From: psyche-list-admin redhat com
> > > > > > [mailto:psyche-list-admin redhat com]On Behalf Of Naum
> > > > > > Stolarskiy
> > > > > > Sent: Thursday, March 27, 2003 5:59 PM
> > > > > > To: psyche-list redhat com
> > > > > > Subject: RE: Need help...Sybase12.5
> > > > > >
> > > > > >
> > > > > > Here it is:
> > > > > > /lib
> > > > > > /usr/lib
> > > > > > /usr/lib/qt-1.45/lib
> > > > > > /usr/kerberos/lib
> > > > > > /usr/lib/wine
> > > > > > /usr/lib/mysql
> > > > > > /usr/lib/sane
> > > > > > /usr/sybase-12.5/lib
> > > > > > /usr/lib/qt-2.3.0/lib
> > > > > > /usr/lib/qt-3.0.5/lib
> > > > > > /usr/X11R6/lib
> > > > > > /opt/sybase-12.5/OCS/lib
> > > > > > /opt/sybase-12.5/ASE/lib
> > > > > > Naum.
> > > > > >
> > > > > > On Thu, 2003-03-27 at 17:52, csieh wrote:
> > > > > > > Naum,
> > > > > > >
> > > > > > > What are the contents of /etc/ld.so.conf and the
> > > > > > value of LD_LIBRARY_PATH.
> > > > > > >
> > > > > > > -Connie Sieh
> > > > > > > On Thu, 27 Mar 2003, csieh wrote:
> > > > > > >
> > > > > > > > Naum,
> > > > > > > >
> > > > > > > > What version of glibc do you have?
> > > > > > > > Any error messages?
> > > > > > > >
> > > > > > > > Connie Sieh
> > > > > > > >
> > > > > > > > On Thu, 27 Mar 2003, Naum Stolarsky
> > > > > > > > wrote:
> > > > > > > >
> > > > > > > > >
> > > > > > > > > Here we go again...
> > > > > > > > >
> > > > > > > > > Did anybody installed Sybase 12.5 on RH8.0?
> > > > > > > > > What version of glibc do you have?
> > > > > > > > > My srvbuild can't create master.dat...
> > > > > > > > > Everything I've found so far points to glibc.
> > > > > > > > > Thanks in advance,
> > > > > > > > > Naum.
> > > > > > > > >
> > > > > > > > >
> > > > > >
> > > > > >
> > > > > >
> > > > > >
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > Psyche-list mailing list
> > > > > Psyche-list redhat com
> > > > > https://listman.redhat.com/mailman/listinfo/psyche-list
> > > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > >
> > >
> > >
> > > --
> > > Psyche-list mailing list
> > > Psyche-list redhat com
> > > https://listman.redhat.com/mailman/listinfo/psyche-list
> > >
> >
> >
> >
> >
> > --
> > Psyche-list mailing list
> > Psyche-list redhat com
> > https://listman.redhat.com/mailman/listinfo/psyche-list
> >
> 
> 
> 
> -- 
> Psyche-list mailing list
> Psyche-list redhat com
> https://listman.redhat.com/mailman/listinfo/psyche-list
> 






[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]